---
updatedAt: 2026-06-13T01:37:16.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# List transfer

Retrieve transfers list.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Banking - Integrated payments",
    "version": "1.0",
    "description": "API responsible for handling and processing integrated payments",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/integrated-payments",
      "description": "Sandbox API server for testing"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Transfer",
      "description": "Operations related to transfer cashin and cashout"
    }
  ],
  "components": {
    "parameters": {
      "lastEvaluatedCreationDatetime": {
        "name": "lastEvaluatedCreationDatetime",
        "in": "query",
        "description": "Last creation datetime filter. Displayed in ISO 8601 format: `yyyy-MM-ddTHH:mm:ss.SSSSSSSSSZ`.\n",
        "schema": {
          "type": "string",
          "format": "datetime"
        },
        "example": "2024-09-11T18:01:44Z"
      },
      "authorizationIdQuery": {
        "name": "authorizationId",
        "in": "query",
        "description": "Authorization ID filter used for searching fund transfers.",
        "schema": {
          "type": "string"
        },
        "example": "1234"
      },
      "perPageQuery": {
        "name": "perPage",
        "in": "query",
        "description": "Receipts per page. Min=1, max=100, default=20.",
        "schema": {
          "type": "string",
          "default": "20",
          "minLength": 1,
          "maxLength": 100
        },
        "example": "100"
      },
      "orderQuery": {
        "name": "order",
        "in": "query",
        "description": "Result ordering is done on bank slip creation datetime. Default is `desc`.",
        "schema": {
          "type": "string",
          "enum": [
            "asc",
            "desc"
          ]
        },
        "example": "desc"
      },
      "beginDatetimeQuery": {
        "name": "beginDatetime",
        "in": "query",
        "description": "Begin datetime filter. ISO 8601 format - `yyyy-MM-ddTHH:mm:ss.SSSSSSSSSZ`.\n",
        "schema": {
          "type": "string",
          "format": "datetime"
        },
        "example": "2024-09-11T18:01:44Z"
      },
      "endDatetimeQuery": {
        "name": "endDatetime",
        "in": "query",
        "description": "End datetime filter. ISO 8601 format - `syyyy-MM-ddTHH:mm:ss.SSSSSSSSSZ`.\n",
        "schema": {
          "type": "string",
          "format": "datetime"
        },
        "example": "2024-09-11T18:01:44.000Z"
      }
    },
    "schemas": {
      "domain.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error type code.",
            "example": "EIP0001"
          },
          "details": {
            "type": "string",
            "description": "Error details.",
            "example": "Error details"
          },
          "message": {
            "type": "string",
            "description": "Error message describing the error.",
            "example": "error"
          }
        }
      },
      "transaction.GetTransactionsItem": {
        "type": "object",
        "properties": {
          "account_id": {
            "description": "Pismo Platform Account ID.",
            "type": "integer"
          },
          "amount": {
            "description": "number.",
            "type": "number"
          },
          "authorization_id": {
            "description": "Pismo Platform authorization ID.",
            "type": "integer"
          },
          "created_at": {
            "description": "Date on which the resource was created.",
            "type": "string"
          },
          "currency_code": {
            "type": "string",
            "description": "ISO 4217 currency code. Can be either numeric or alphabetic."
          },
          "external_party": {
            "$ref": "#/components/schemas/transaction.Party"
          },
          "internal_party": {
            "$ref": "#/components/schemas/transaction.Party"
          },
          "operation": {
            "description": "Transaction details.",
            "type": "string"
          },
          "status": {
            "description": "Transaction status.",
            "type": "string"
          }
        }
      },
      "transaction.GetTransactionsResponse": {
        "type": "object",
        "properties": {
          "items": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/transaction.GetTransactionsItem"
            }
          },
          "pagination": {
            "$ref": "#/components/schemas/transaction.OffsetPagination"
          }
        }
      },
      "transaction.OffsetPagination": {
        "type": "object",
        "properties": {
          "last_evaluated_creation_datetime": {
            "description": "Last creation date time.",
            "type": "string",
            "format": "date-time"
          },
          "per_page": {
            "description": "Number of items returned per page.",
            "type": "integer",
            "example": 10
          },
          "total_items": {
            "description": "Total number of items in the request based on the filter.",
            "type": "integer",
            "example": 100
          },
          "total_pages": {
            "description": "Total pages in the request that maches the filter.",
            "type": "integer",
            "example": 10
          }
        }
      },
      "transaction.Party": {
        "type": "object",
        "properties": {
          "bank": {
            "description": "Bank ID.",
            "type": "string"
          },
          "bank_account": {
            "description": "Bank account.",
            "type": "string"
          },
          "bank_branch": {
            "description": "Branch name.",
            "type": "string"
          },
          "document_number": {
            "description": "Document number.",
            "type": "string"
          },
          "name": {
            "description": "Full name.",
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "paths": {
    "/v1/transfers": {
      "get": {
        "tags": [
          "Transfer"
        ],
        "summary": "List transfer",
        "description": "Retrieve transfers list.",
        "operationId": "get-integrated-payments-api-v1-transfers",
        "parameters": [
          {
            "$ref": "#/components/parameters/lastEvaluatedCreationDatetime"
          },
          {
            "$ref": "#/components/parameters/authorizationIdQuery"
          },
          {
            "$ref": "#/components/parameters/perPageQuery"
          },
          {
            "$ref": "#/components/parameters/orderQuery"
          },
          {
            "$ref": "#/components/parameters/beginDatetimeQuery"
          },
          {
            "$ref": "#/components/parameters/endDatetimeQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "Response Body",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/transaction.GetTransactionsResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0010": {
                    "summary": "Unmarshal error",
                    "value": {
                      "code": "EIP0010",
                      "message": "Unmarshal error"
                    }
                  },
                  "EIP0045": {
                    "summary": "Invalid per_page query param",
                    "value": {
                      "code": "EIP0045",
                      "message": "Invalid value for query param 'per_page'"
                    }
                  },
                  "EIP0046": {
                    "summary": "Invalid datetime query param",
                    "value": {
                      "code": "EIP0046",
                      "message": "Invalid value for datetime query parameter. RFC3339 format must be used"
                    }
                  },
                  "EIP0012": {
                    "summary": "Account not found",
                    "value": {
                      "code": "EIP0012",
                      "message": "Account not found"
                    }
                  },
                  "EIP0013": {
                    "summary": "Accounts - API returned 4xx error",
                    "value": {
                      "code": "EIP0013",
                      "message": "Accounts - API returned 4xx error"
                    }
                  },
                  "EIP0047": {
                    "summary": "Invalid authorization_id query param",
                    "value": {
                      "code": "EIP0047",
                      "message": "Invalid value for query param 'authorization_id'"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0005": {
                    "summary": "Missing required header x-tenant",
                    "value": {
                      "code": "EIP0005",
                      "message": "Missing required header: 'x-tenant'"
                    }
                  },
                  "EIP0006": {
                    "summary": "Invalid account ID header x-account-id",
                    "value": {
                      "code": "EIP0006",
                      "message": "Invalid account id header: 'x-account-id'"
                    }
                  },
                  "EIP0029": {
                    "summary": "Account blocked or cancelled",
                    "value": {
                      "code": "EIP0029",
                      "message": "Account blocked or cancelled"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "description": "Request tracking identifier.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/domain.Error"
                },
                "examples": {
                  "EIP0004": {
                    "summary": "HTTP request error",
                    "value": {
                      "code": "EIP0004",
                      "message": "HTTP request error"
                    }
                  },
                  "EIP0007": {
                    "summary": "Internal error",
                    "value": {
                      "code": "EIP0007",
                      "message": "Internal error"
                    }
                  },
                  "EIP0011": {
                    "summary": "Accounts API timeout error",
                    "value": {
                      "code": "EIP0011",
                      "message": "Accounts API timeout error"
                    }
                  },
                  "EIP0014": {
                    "summary": "Accounts - API returned 5xx error",
                    "value": {
                      "code": "EIP0014",
                      "message": "Accounts - API returned 5xx error"
                    }
                  },
                  "EIP0028": {
                    "summary": "Transaction database error",
                    "value": {
                      "code": "EIP0028",
                      "message": "Transaction database error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```